#include "odeexpeul.h"

void OdeExpEul1::step(Vecd &xout, const OdeFunc1 &f, const Vecd &x, double h) const
{
    xout = x + h * f(x);
}

void OdeExpEul2::step(Vecd &xout, Vecd &vout, const OdeFunc2 &f, const Vecd &x, const Vecd &v, double h) const
{
    vout = v + h*f(x,v);
    xout = x + h*v;
}
